
if UnitClassBase("player") == "Shaman" then
	local TrackedAuras = ShotGlassRaidFrames.TrackedAuras
	local TextFunction = ShotGlassRaidFrames.AuraTextFunction	-- Displays a countdown when the remaining duration is less than 6 seconds
	
	------------------------
	-- Shaman-Specific Auras
	------------------------
	-- Healing Spells
	-- Left
	TrackedAuras[GetSpellInfo(51945)] = {position = 3, color = {r = 1,g = .9, b = 0, a = .5},}		-- Earthliving (Weapon Proc)
	TrackedAuras[GetSpellInfo(16236)] = {position = 3, color = {r = .9,g = 0, b = 0, a = .5},}		-- Ancestral Fortitude 
	
	-- Middle
	TrackedAuras[GetSpellInfo(61295)] = {position = 2, color = {r = .6,g = .1, b = .9, a = 1},}		-- Riptide
	
	-- Right
	TrackedAuras[GetSpellInfo(974)] = {position = 1, color = {r = .7,g = 1, b = .1, a = 1}, textFunction = TextFunction,}		-- Earth Shield
	
	------------------------
	-- Curable Debuff Types
	------------------------
	TrackedAuras["Curse"] = {position = 4, color = {r = .9,g = 0, b = .7, a = 1},}
	TrackedAuras["Magic"] = {position = 6, color = {r = 0,g = .3, b = .9, a = 1},}
end